%
% Copyright (c) 2015, Yarpiz (www.yarpiz.com)
% All rights reserved. Please read the "license.txt" for license terms.
%
% Project Code: YPML116
% Project Title: FP-Growth Algorithm for Association Rule Mining
% Publisher: Yarpiz (www.yarpiz.com)
% 
% Developer: S. Mostapha Kalami Heris (Member of Yarpiz Team)
% 
% Contact Info: sm.kalami@gmail.com, info@yarpiz.com
%

clc;
clear;
close all;

%% Load Data

data=load('mydata');
T=data.T;

%% FP-Growth

MST=2/9;    % Minimum Suppport Threshold

MCT=0.6;    % Minimum Confidence Threshold

out=FPGrowth(T,MST,MCT);

%% Results

FinalRules=out.FinalRules;
Tree=out.Node;
PlotTree(Tree);

disp('Final Rules:');
disp(' ');
DisplayRules(FinalRules);
disp(' ');
